## org.red5.server.messaging
Interface IProvider

All Superinterfaces:
  IMessageComponent

All Known Subinterfaces:
  IFilter, IPullableProvider, ISeekableProvider, IStreamTypeAwareProvider

All Known Implementing Classes:
  ClientBroadcastStream, ConnectionProvider, FileProvider, PlayEngine, ServerStream, StreamBandwidthController

    public interface IProvider

extends IMessageComponent

Signature for message provider.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Method Summary

Methods inherited from interface org.red5.server.messaging.IMessageComponent
`onOOBControlMessage`

Copyright © 2006-2010 The Red5 Project